<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__i2s__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_i2s_context_t</compoundname>
    <includes local="no">cy_i2s.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__i2s__context__t_1ac0f59a167f0bd8bd4a91c4269a201c15" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_i2s_context_t::enableState</definition>
        <argsstring />
        <name>enableState</name>
        <briefdescription>
<para>Stores the I2S state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="424" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="424" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__context__t_1a3c9fa378636b936834b17d5b0d207a8e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_i2s_context_t::interruptMask</definition>
        <argsstring />
        <name>interruptMask</name>
        <briefdescription>
<para>Stores the I2S interrupt mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="425" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="425" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The I2S backup structure type to be used for the SysPm callback. </para>    </briefdescription>
    <detaileddescription>
<para><ref kindref="member" refid="group__group__i2s__functions__syspm__callback_1ga42567129d1e578c5c554100c74bc0ace">Cy_I2S_DeepSleepCallback</ref> context definition. </para>    </detaileddescription>
    <location bodyend="426" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="422" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="423" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__i2s__context__t_1ac0f59a167f0bd8bd4a91c4269a201c15" virt="non-virtual"><scope>cy_stc_i2s_context_t</scope><name>enableState</name></member>
      <member prot="public" refid="structcy__stc__i2s__context__t_1a3c9fa378636b936834b17d5b0d207a8e" virt="non-virtual"><scope>cy_stc_i2s_context_t</scope><name>interruptMask</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>